## org.apache.batik.bridge.svg12
Class SVG12FocusManager

    java.lang.Object
      org.apache.batik.bridge.FocusManager
          org.apache.batik.bridge.svg12.SVG12FocusManager

    public class SVG12FocusManager

extends FocusManager

Focus manager for SVG 1.2 documents. Ensures bubble limits of DOM focus events are set appropriately for sXBL. support.

Nested Class Summary
`protected class` `SVG12FocusManager.DOMFocusInTracker` The class that is responsible for tracking 'DOMFocusIn' changes.
`protected class` `SVG12FocusManager.MouseClickTracker` The class that is responsible for tracking 'mouseclick' changes.
`protected class` `SVG12FocusManager.MouseOutTracker` The class that is responsible for tracking 'mouseout' changes.
`protected class` `SVG12FocusManager.MouseOverTracker` The class that is responsible for tracking 'mouseover' changes.

Nested classes/interfaces inherited from class org.apache.batik.bridge.FocusManager
`FocusManager.DOMFocusOutTracker`

Field Summary

Fields inherited from class org.apache.batik.bridge.FocusManager
`document, domFocusInListener, domFocusOutListener, lastFocusEventTarget, mouseclickListener, mouseoutListener, mouseoverListener`

Constructor Summary
`SVG12FocusManager(org.w3c.dom.Document doc)` Constructs a new `SVG12FocusManager` for the specified document.

Method Summary
`protected void` `addEventListeners(org.w3c.dom.Document doc)` Adds the event listeners to the document.
`protected void` `fireDOMFocusInEvent(EventTarget target, EventTarget relatedTarget)` Fires a 'DOMFocusIn' event to the specified target.
`protected void` `fireDOMFocusOutEvent(EventTarget target, EventTarget relatedTarget)` Fires a 'DOMFocusOut' event to the specified target.
`protected void` `removeEventListeners(org.w3c.dom.Document doc)` Removes the event listeners from the document.

Methods inherited from class org.apache.batik.bridge.FocusManager
`dispose, fireDOMActivateEvent, getCurrentEventTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVG12FocusManager

    public SVG12FocusManager(org.w3c.dom.Document doc)

  Constructs a new `SVG12FocusManager` for the specified document.

  Parameters:
    `doc` - the document

Method Detail

### addEventListeners

    protected void addEventListeners(org.w3c.dom.Document doc)

  Adds the event listeners to the document.

  Overrides:
    `addEventListeners` in class `FocusManager`

### removeEventListeners

    protected void removeEventListeners(org.w3c.dom.Document doc)

  Removes the event listeners from the document.

  Overrides:
    `removeEventListeners` in class `FocusManager`

### fireDOMFocusInEvent

    protected void fireDOMFocusInEvent(EventTarget target,
                                       EventTarget relatedTarget)

  Fires a 'DOMFocusIn' event to the specified target.

  Overrides:
    `fireDOMFocusInEvent` in class `FocusManager`
  Parameters:
    `target` - the newly focussed event target
    `relatedTarget` - the previously focussed event target

### fireDOMFocusOutEvent

    protected void fireDOMFocusOutEvent(EventTarget target,
                                        EventTarget relatedTarget)

  Fires a 'DOMFocusOut' event to the specified target.

  Overrides:
    `fireDOMFocusOutEvent` in class `FocusManager`
  Parameters:
    `target` - the previously focussed event target
    `relatedTarget` - the newly focussed event target

Copyright © 2008 Apache Software Foundation. All Rights Reserved.